# Developer documentation for `tilib.js`

`tilib.js` is a utility library containing methods that are reusable, not just specific to uibuilder.

## Dependencies

* path
* fs-extra

## Variables

None

## Functions/Methods

### trimSlashes

### urlJoin

### escapeRegExp

### getNpmRunScripts

### mergeDedupe

### syntaxHighlight

### findPackage

### updatePackageList - DEPRECATED in v2.0

### readPackageJson

### compareArrays
